io.undertow.server.handlers.proxy.mod_cluster

## Class ModCluster

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.ModCluster

    public class ModCluster
    extends Object

Author:
  Emanuel Muckenhuber

### Nested Class Summary

Nested Classes
`static class` `ModCluster.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `advertise(MCMPConfig config)` Start advertising a mcmp handler.
`static ModCluster.Builder` `builder(org.xnio.XnioWorker worker)`
`static ModCluster.Builder` `builder(org.xnio.XnioWorker worker, UndertowClient client)`
`static ModCluster.Builder` `builder(org.xnio.XnioWorker worker, UndertowClient client, org.xnio.ssl.XnioSsl xnioSsl)`
`HttpHandler` `createProxyHandler()` Get the handler proxying the requests.
`HttpHandler` `createProxyHandler(HttpHandler next)` Get the handler proxying the requests.
`int` `getCacheConnections()`
`protected io.undertow.server.handlers.proxy.mod_cluster.ModClusterContainer` `getContainer()`
`ModClusterController` `getController()`
`NodeHealthChecker` `getHealthChecker()`
`long` `getHealthCheckInterval()`
`int` `getMaxConnections()`
`HttpHandler` `getProxyHandler()` Deprecated.
`long` `getRemoveBrokenNodes()`
`int` `getRequestQueueSize()`
`protected String` `getServerID()`
`long` `getTtl()`
`boolean` `isDeterministicFailover()`
`boolean` `isQueueNewRequests()`
`boolean` `isUseAlias()`
`String` `rankedAffinityDelimiter()`
`RouteParsingStrategy` `routeParsingStrategy()`
`void` `start()` Start
`void` `stop()` Stop

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getServerID

    protected String getServerID()

#### getContainer

    protected io.undertow.server.handlers.proxy.mod_cluster.ModClusterContainer getContainer()

#### getController

    public ModClusterController getController()

#### getMaxConnections

    public int getMaxConnections()

#### getCacheConnections

    public int getCacheConnections()

#### getRequestQueueSize

    public int getRequestQueueSize()

#### isQueueNewRequests

    public boolean isQueueNewRequests()

#### getHealthCheckInterval

    public long getHealthCheckInterval()

#### getRemoveBrokenNodes

    public long getRemoveBrokenNodes()

#### getHealthChecker

    public NodeHealthChecker getHealthChecker()

#### getTtl

    public long getTtl()

#### isUseAlias

    public boolean isUseAlias()

#### isDeterministicFailover

    public boolean isDeterministicFailover()

#### routeParsingStrategy

    public RouteParsingStrategy routeParsingStrategy()

#### rankedAffinityDelimiter

    public String rankedAffinityDelimiter()

#### getProxyHandler

    @Deprecated
    public HttpHandler getProxyHandler()

Deprecated.
Get the handler proxying the requests.

Returns:
  the proxy handler

#### createProxyHandler

    public HttpHandler createProxyHandler()

Get the handler proxying the requests.

Returns:
  the proxy handler

#### createProxyHandler

    public HttpHandler createProxyHandler(HttpHandler next)

Get the handler proxying the requests.

Returns:
  the proxy handler

#### start

    public void start()

Start

#### advertise

    public void advertise(MCMPConfig config)
                   throws IOException

Start advertising a mcmp handler.

Parameters:
  `config` - the mcmp handler config
Throws:
  `IOException`

#### stop

    public void stop()

Stop

#### builder

    public static ModCluster.Builder builder(org.xnio.XnioWorker worker)

#### builder

    public static ModCluster.Builder builder(org.xnio.XnioWorker worker,
                                             UndertowClient client)

#### builder

    public static ModCluster.Builder builder(org.xnio.XnioWorker worker,
                                             UndertowClient client,
                                             org.xnio.ssl.XnioSsl xnioSsl)